function testing(value,x)  
 fprintf('Match this to the actual tacho reading, press Ctrl+C to stop testing function:');
while(1)
    write_volt(value.Serial_Obj,x);
    a=read_sig(value.Serial_Obj);
   a
   pause(1)     
end
end
